/***********************************************************************************
FILE NAME  	: Interrupts.c

DESCRIPTION	: Function to Configure the interrupt controller and used interrupts.

Copyright   : 2006 Renesas Technology Europe Ltd.
			  2006 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
06.12.2006 RTE-NPS First Release.
***********************************************************************************/

/***********************************************************************************
System Includes
***********************************************************************************/
/*	Following header file provides access to intrinsic functions to control interrupt
	levels. */
#include <machine.h>

/**********************************************************************************
User Includes
***********************************************************************************/
/*	Following header file provides vector locations for the interrupts. */
#include "vect.h"
/*	Following header file provides a structure to access on-chip I/O registers. */
#include "iodefine.h"
/*Following header file provides function prototype for interrupt function. */
#include "Interrupts.h"

/**********************************************************************************
User Program Code
***********************************************************************************/
/***********************************************************************************
Function Name: 	ConfigureInterrupts
Description:	Configure interrupt enables and settings
Parameters: 	none
Return value: 	none
***********************************************************************************/
void ConfigureInterrupts(void) {
  /* Interrupt control registers may be initialized here */

  /* Set the interrupt mode 2 interrupt mask level to 0 */
  set_imask(0);
}

/***********************************************************************************
End of function ConfigureInterrupts
***********************************************************************************/

/**********************************************************************************
*
*		Interrupt handler may be implemented here
*
***********************************************************************************/

/**********************************************************************************
End of file
***********************************************************************************/
