/***********************************************************************************
FILE NAME   : iodefine.h

DESCRIPTION : I/O Register definitions for the SH2/7086 CPU.

Copyright   : 2006 Renesas Technology Europe Ltd.
			  2006 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
06.12.2006 RTE-NPS First Release.
***********************************************************************************/

#ifndef IODEFINE_H_INCLUDED
#define IODEFINE_H_INCLUDED

/************************************************************************/
/*      SH7080 Series Include File                          Ver 2.6     */
/************************************************************************/
struct st_sci {                                         /* struct SCI   */
              union {                                   /* SCSMR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char _PE :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SCSMR;                  /*              */
              char              wk1;                    /*              */
              unsigned char     SCBRR;                  /* SCBRR        */
              char              wk2;                    /*              */
              union {                                   /* SCSCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCSCR;                  /*              */
              char              wk3;                    /*              */
              unsigned char     SCTDR;                  /* SCTDR        */
              char              wk4;                    /*              */
              union {                                   /* SCSSR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SCSSR;                  /*              */
              char              wk5;                    /*              */
              unsigned char     SCRDR;                  /* SCRDR        */
              char              wk6;                    /*              */
              union {                                   /* SCSDCR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :4;         /*              */
                           unsigned char DIR:1;         /*    DIR       */
                           }      BIT;                  /*              */
                    }           SCSDCR;                 /*              */
              char              wk7;                    /*              */
              union {                                   /* SCSPTR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char EIO   :1;      /*    EIO       */
                           unsigned char       :3;      /*              */
                           unsigned char SPB1IO:1;      /*    SPB1IO    */
                           unsigned char SPB1DT:1;      /*    SPB1DT    */
                           unsigned char SPB0IO:1;      /*    SPB0IO    */
                           unsigned char SPB0DT:1;      /*    SPB0DT    */
                           }      BIT;                  /*              */
                    }           SCSPTR;                 /*              */
};                                                      /*              */
struct st_scif {                                        /* struct SCIF  */
               union {                                  /* SCSMR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short CA  :1;      /*    C/A       */
                            unsigned short CHR :1;      /*    CHR       */
                            unsigned short _PE :1;      /*    PE        */
                            unsigned short OE  :1;      /*    O/E       */
                            unsigned short STOP:1;      /*    STOP      */
                            unsigned short     :1;      /*              */
                            unsigned short CKS :2;      /*    CKS       */
                            }      BIT;                 /*              */
                     }          SCSMR;                  /*              */
               unsigned char    SCBRR;                  /* SCBRR        */
               char             wk1;                    /*              */
               union {                                  /* SCSCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short TIE :1;      /*    TIE       */
                            unsigned short RIE :1;      /*    RIE       */
                            unsigned short TE  :1;      /*    TE        */
                            unsigned short RE  :1;      /*    RE        */
                            unsigned short REIE:1;      /*    REIE      */
                            unsigned short     :1;      /*              */
                            unsigned short CKE :2;      /*    CKE       */
                            }      BIT;                 /*              */
                     }          SCSCR;                  /*              */
               unsigned char    SCFTDR;                 /* SCFTDR       */
               char             wk2;                    /*              */
               union {                                  /* SCFSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PERC:4;      /*    PER3-0    */
                            unsigned short FERC:4;      /*    FER3-0    */
                            unsigned short ER  :1;      /*    ER        */
                            unsigned short TEND:1;      /*    TEND      */
                            unsigned short TDFE:1;      /*    TDFE      */
                            unsigned short BRK :1;      /*    BRK       */
                            unsigned short FER :1;      /*    FER       */
                            unsigned short PER :1;      /*    PER       */
                            unsigned short RDF :1;      /*    RDF       */
                            unsigned short DR  :1;      /*    DR        */
                            }       BIT;                /*              */
                     }          SCFSR;                  /*              */
               unsigned char    SCFRDR;                 /* SCFRDR       */
               char             wk3;                    /*              */
               union {                                  /* SCFCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :5;     /*              */
                            unsigned short RSTRG:3;     /*    RSTRG     */
                            unsigned short RTRG :2;     /*    RTRG      */
                            unsigned short TTRG :2;     /*    TTRG      */
                            unsigned short MCE  :1;     /*    MCE       */
                            unsigned short TFRST:1;     /*    TFRST     */
                            unsigned short RFRST:1;     /*    RFRST     */
                            unsigned short LOOP :1;     /*    LOOP      */
                            }      BIT;                 /*              */
                     }          SCFCR;                  /*              */
               union {                                  /* SCFDR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short  :3;         /*              */
                            unsigned short T:5;         /*    T         */
                            unsigned short  :3;         /*              */
                            unsigned short R:5;         /*    R         */
                            }       BIT;                /*              */
                     }          SCFDR;                  /*              */
               union {                                  /* SCSPTR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short      :8;     /*              */
                            unsigned short RTSIO:1;     /*    RTSIO     */
                            unsigned short RTSDT:1;     /*    RTSDT     */
                            unsigned short CTSIO:1;     /*    CTSIO     */
                            unsigned short CTSDT:1;     /*    CTSDT     */
                            unsigned short SCKIO:1;     /*    SCKIO     */
                            unsigned short SCKDT:1;     /*    SCKDT     */
                            unsigned short SPBIO:1;     /*    SPBIO     */
                            unsigned short SPBDT:1;     /*    SPBDT     */
                            }       BIT;                /*              */
                     }          SCSPTR;                 /*              */
               union {                                  /* SCLSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short     :15;     /*              */
                            unsigned short ORER: 1;     /*    ORER      */
                            }       BIT;                /*              */
                     }          SCLSR;                  /*              */
};                                                      /*              */
struct st_mtu2 {                                        /* struct MTU2  */
               union {                                  /* TOER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :2;       /*              */
                            unsigned char OE4D:1;       /*    OE4D      */
                            unsigned char OE4C:1;       /*    OE4C      */
                            unsigned char OE3D:1;       /*    OE3D      */
                            unsigned char OE4B:1;       /*    OE4B      */
                            unsigned char OE4A:1;       /*    OE4A      */
                            unsigned char OE3B:1;       /*    OE3B      */
                            }      BIT;                 /*              */
                     }          TOER;                   /*              */
               char             wk1[2];                 /*              */
               union {                                  /* TGCR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :1;        /*              */
                            unsigned char BDC:1;        /*    BDC       */
                            unsigned char N  :1;        /*    N         */
                            unsigned char P  :1;        /*    P         */
                            unsigned char FB :1;        /*    FB        */
                            unsigned char WF :1;        /*    WF        */
                            unsigned char VF :1;        /*    VF        */
                            unsigned char UF :1;        /*    UF        */
                            }      BIT;                 /*              */
                     }          TGCR;                   /*              */
               union {                                  /* TOCR1        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char PSYE:1;       /*    PSYE      */
                            unsigned char     :2;       /*              */
                            unsigned char TOCL:1;       /*    TOCL      */
                            unsigned char TOCS:1;       /*    TOCS      */
                            unsigned char OLSN:1;       /*    OLSN      */
                            unsigned char OLSP:1;       /*    OLSP      */
                            }      BIT;                 /*              */
                     }          TOCR1;                  /*              */
               union {                                  /* TOCR2        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BF   :2;      /*    BF        */
                            unsigned char OLS3N:1;      /*    OLS3N     */
                            unsigned char OLS3P:1;      /*    OLS3P     */
                            unsigned char OLS2N:1;      /*    OLS2N     */
                            unsigned char OLS2P:1;      /*    OLS2P     */
                            unsigned char OLS1N:1;      /*    OLS1N     */
                            unsigned char OLS1P:1;      /*    OLS1P     */
                            }      BIT;                 /*              */
                     }          TOCR2;                  /*              */
               char             wk2[4];                 /*              */
               unsigned short   TCDR;                   /* TCDR         */
               unsigned short   TDDR;                   /* TDDR         */
               char             wk3[8];                 /*              */
               unsigned short   TCNTS;                  /* TCNTS        */
               unsigned short   TCBR;                   /* TCBR         */
               char             wk4[12];                /*              */
               union {                                  /* TITCR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char T3AEN :1;     /*    T3AEN     */
                            unsigned char T3ACOR:3;     /*    T3ACOR    */
                            unsigned char T4VEN :1;     /*    T4VEN     */
                            unsigned char T4VCOR:3;     /*    T4VCOR    */
                            }      BIT;                 /*              */
                     }          TITCR;                  /*              */
               union {                                  /* TITCNT       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :1;     /*              */
                            unsigned char T3ACNT:3;     /*    T3ACNT    */
                            unsigned char       :1;     /*              */
                            unsigned char T4VCNT:3;     /*    T4VCNT    */
                            }      BIT;                 /*              */
                     }          TITCNT;                 /*              */
               union {                                  /* TBTER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :6;        /*              */
                            unsigned char BTE:2;        /*    BTE       */
                            }      BIT;                 /*              */
                     }          TBTER;                  /*              */
               char             wk5;                    /*              */
               union {                                  /* TDER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :7;       /*              */
                            unsigned char TDER:1;       /*    TDER      */
                            }      BIT;                 /*              */
                     }          TDER;                   /*              */
               char             wk6;                    /*              */
               union {                                  /* TOLBR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char OLS3N:1;      /*    OLS3N     */
                            unsigned char OLS3P:1;      /*    OLS3P     */
                            unsigned char OLS2N:1;      /*    OLS2N     */
                            unsigned char OLS2P:1;      /*    OLS2P     */
                            unsigned char OLS1N:1;      /*    OLS1N     */
                            unsigned char OLS1P:1;      /*    OLS1P     */
                            }      BIT;                 /*              */
                     }          TOLBR;                  /*              */
               char             wk7[41];                /*              */
               union {                                  /* TWCR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCE:1;        /*    CCE       */
                            unsigned char    :6;        /*              */
                            unsigned char WRE:1;        /*    WRE       */
                            }      BIT;                 /*              */
                     }          TWCR;                   /*              */
               char             wk8[31];                /*              */
               union {                                  /* TSTR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CST4:1;       /*    CST4      */
                            unsigned char CST3:1;       /*    CST3      */
                            unsigned char     :3;       /*              */
                            unsigned char CST2:1;       /*    CST2      */
                            unsigned char CST1:1;       /*    CST1      */
                            unsigned char CST0:1;       /*    CST0      */
                            }      BIT;                 /*              */
                     }          TSTR;                   /*              */
               union {                                  /* TSYR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SYNC4:1;      /*    SYNC4     */
                            unsigned char SYNC3:1;      /*    SYNC3     */
                            unsigned char      :3;      /*              */
                            unsigned char SYNC2:1;      /*    SYNC2     */
                            unsigned char SYNC1:1;      /*    SYNC1     */
                            unsigned char SYNC0:1;      /*    SYNC0     */
                            }      BIT;                 /*              */
                     }          TSYR;                   /*              */
               union {                                  /* TCSYSTR      */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SCH0 :1;      /*    SCH0      */
                            unsigned char SCH1 :1;      /*    SCH1      */
                            unsigned char SCH2 :1;      /*    SCH2      */
                            unsigned char SCH3 :1;      /*    SCH3      */
                            unsigned char SCH4 :1;      /*    SCH4      */
                            unsigned char      :1;      /*              */
                            unsigned char SCH3S:1;      /*    SCH3S     */
                            unsigned char SCH4S:1;      /*    SCH4S     */
                            }      BIT;                 /*              */
                     }          TCSYSTR;                /*              */
               char             wk9;                    /*              */
               union {                                  /* TRWER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :7;        /*              */
                            unsigned char RWE:1;        /*    RWE       */
                            }      BIT;                 /*              */
                     }          TRWER;                  /*              */
};                                                      /*              */
struct st_mtu20 {                                       /* struct MTU20 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :1;       /*              */
                             unsigned char BFE:1;       /*    BFE       */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :2;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :3;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                unsigned short  TGRC;                   /* TGRC         */
                unsigned short  TGRD;                   /* TGRD         */
                char            wk1[16];                /*              */
                unsigned short  TGRE;                   /* TGRE         */
                unsigned short  TGRF;                   /* TGRF         */
                union {                                 /* TIER2        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE2:1;     /*    TTGE2     */
                             unsigned char      :5;     /*              */
                             unsigned char TGIEF:1;     /*    TGIEF     */
                             unsigned char TGIEE:1;     /*    TGIEE     */
                             }      BIT;                /*              */
                      }         TIER2;                  /*              */
                union {                                 /* TSR2         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TGFF:1;      /*    TGFF      */
                             unsigned char TGFE:1;      /*    TGFE      */
                             }      BIT;                /*              */
                      }         TSR2;                   /*              */
                union {                                 /* TBTM         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit Access  */
                             unsigned char     :5;      /*              */
                             unsigned char TTSE:1;      /*    TTSE      */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
};                                                      /*              */
struct st_mtu21 {                                       /* struct MTU21 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char CCLR:2;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char   :4;        /*              */
                             unsigned char MD:4;        /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             }      BIT;                /*              */
                      }         TIOR;                   /*              */
                char            wk1;                    /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEU:1;     /*    TCIEU     */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char      :2;     /*              */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :1;      /*              */
                             unsigned char TCFU:1;      /*    TCFU      */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char     :2;      /*              */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                char            wk2[4];                 /*              */
                union {                                 /* TICCR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :4;      /*              */
                             unsigned char I2BE:1;      /*    I2BE      */
                             unsigned char I2AE:1;      /*    I2AE      */
                             unsigned char I1BE:1;      /*    I1BE      */
                             unsigned char I1AE:1;      /*    I1AE      */
                             }      BIT;                /*              */
                      }         TICCR;                  /*              */
};                                                      /*              */
struct st_mtu22 {                                       /* struct MTU22 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char CCLR:2;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char   :4;        /*              */
                             unsigned char MD:4;        /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             }      BIT;                /*              */
                      }         TIOR;                   /*              */
                char            wk;                     /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEU:1;     /*    TCIEU     */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char      :2;     /*              */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :1;      /*              */
                             unsigned char TCFU:1;      /*    TCFU      */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char     :2;      /*              */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
};                                                      /*              */
struct st_mtu23 {                                       /* struct MTU23 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                char            wk1;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :2;       /*              */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                char            wk2;                    /*              */
                union {                                 /* TIOR         */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                char            wk3[2];                 /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :2;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk4[7];                 /*              */
                unsigned short  TCNT;                   /* TCNT         */
                char            wk5[6];                 /*              */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                char            wk6[8];                 /*              */
                unsigned short  TGRC;                   /* TGRC         */
                unsigned short  TGRD;                   /* TGRD         */
                char            wk7[4];                 /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :2;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk8[11];                /*              */
                union {                                 /* TBTM         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
};                                                      /*              */
struct st_mtu24 {                                       /* struct MTU24 */
                char            wk1;                    /*              */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                char            wk2;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :2;       /*              */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                char            wk3[2];                 /*              */
                union {                                 /* TIOR         */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                char            wk4;                    /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char TTGE2:1;     /*    TTGE2     */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk5[8];                 /*              */
                unsigned short  TCNT;                   /* TCNT         */
                char            wk6[8];                 /*              */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                char            wk7[8];                 /*              */
                unsigned short  TGRC;                   /* TGRC         */
                unsigned short  TGRD;                   /* TGRD         */
                char            wk8;                    /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :2;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk9[11];                /*              */
                union {                                 /* TBTM         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
                char            wk10[6];                /*              */
                union {                                 /* TADCR        */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Bit  Access */
                             unsigned short BF    :2;   /*    BF        */
                             unsigned short       :6;   /*              */
                             unsigned short UT4AE :1;   /*    UT4AE     */
                             unsigned short DT4AE :1;   /*    DT4AE     */
                             unsigned short UT4BE :1;   /*    UT4BE     */
                             unsigned short DT4BE :1;   /*    DT4BE     */
                             unsigned short ITA3AE:1;   /*    ITA3AE    */
                             unsigned short ITA4VE:1;   /*    ITA4VE    */
                             unsigned short ITB3AE:1;   /*    ITB3AE    */
                             unsigned short ITB4VE:1;   /*    ITB4VE    */
                             }       BIT;               /*              */
                      }         TADCR;                  /*              */
                char            wk11[2] ;               /*              */
                unsigned short  TADCORA;                /* TADCORA      */
                unsigned short  TADCORB;                /* TADCORB      */
                unsigned short  TADCOBRA;               /* TADCOBRA     */
                unsigned short  TADCOBRB;               /* TADCOBRB     */
};                                                      /*              */
struct st_mtu25 {                                       /* struct MTU25 */
                unsigned short  TCNTU;                  /* TCNTU        */
                unsigned short  TGRU;                   /* TGRU         */
                union {                                 /* TCRU         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRU;                   /*              */
                char            wk1;                    /*              */
                union {                                 /* TIORU        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORU;                  /*              */
                char            wk2[9];                 /*              */
                unsigned short  TCNTV;                  /* TCNTV        */
                unsigned short  TGRV;                   /* TGRV         */
                union {                                 /* TCRV         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRV;                   /*              */
                char            wk3;                    /*              */
                union {                                 /* TIORV        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORV;                  /*              */
                char            wk4[9];                 /*              */
                unsigned short  TCNTW;                  /* TCNTW        */
                unsigned short  TGRW;                   /* TGRW         */
                union {                                 /* TCRW         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRW;                   /*              */
                char            wk5;                    /*              */
                union {                                 /* TIORW        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORW;                  /*              */
                char            wk6[9];                 /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CMFU:1;      /*    CMFU      */
                             unsigned char CMFV:1;      /*    CMFV      */
                             unsigned char CMFW:1;      /*    CMFW      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk7;                    /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char      :5;     /*              */
                             unsigned char TGIEU:1;     /*    TGIEU     */
                             unsigned char TGIEV:1;     /*    TGIEV     */
                             unsigned char TGIEW:1;     /*    TGIEW     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk8;                    /*              */
                union {                                 /* TSTR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CSTU:1;      /*    CSTU      */
                             unsigned char CSTV:1;      /*    CSTV      */
                             unsigned char CSTW:1;      /*    CSTW      */
                             }      BIT;                /*              */
                      }         TSTR;                   /*              */
                char            wk9;                    /*              */
                union {                                 /* TCCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CLRU:1;      /*    CLRU      */
                             unsigned char CLRV:1;      /*    CLRV      */
                             unsigned char CLRW:1;      /*    CLRW      */
                             }      BIT;                /*              */
                      }         TCCR;                   /*              */
};                                                      /*              */
struct st_mtu2s {                                       /* struct MTU2S */
                union {                                 /* TOER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :2;      /*              */
                             unsigned char OE4D:1;      /*    OE4D      */
                             unsigned char OE4C:1;      /*    OE4C      */
                             unsigned char OE3D:1;      /*    OE3D      */
                             unsigned char OE4B:1;      /*    OE4B      */
                             unsigned char OE4A:1;      /*    OE4A      */
                             unsigned char OE3B:1;      /*    OE3B      */
                             }      BIT;                /*              */
                      }         TOER;                   /*              */
                char            wk1[2];                 /*              */
                union {                                 /* TGCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :1;       /*              */
                             unsigned char BDC:1;       /*    BDC       */
                             unsigned char N  :1;       /*    N         */
                             unsigned char P  :1;       /*    P         */
                             unsigned char FB :1;       /*    FB        */
                             unsigned char WF :1;       /*    WF        */
                             unsigned char VF :1;       /*    VF        */
                             unsigned char UF :1;       /*    UF        */
                             }      BIT;                /*              */
                      }         TGCR;                   /*              */
                union {                                 /* TOCR1        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char PSYE:1;      /*    PSYE      */
                             unsigned char     :2;      /*              */
                             unsigned char TOCL:1;      /*    TOCL      */
                             unsigned char TOCS:1;      /*    TOCS      */
                             unsigned char OLSN:1;      /*    OLSN      */
                             unsigned char OLSP:1;      /*    OLSP      */
                             }      BIT;                /*              */
                      }         TOCR1;                  /*              */
                union {                                 /* TOCR2        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char BF   :2;     /*    BF        */
                             unsigned char OLS3N:1;     /*    OLS3N     */
                             unsigned char OLS3P:1;     /*    OLS3P     */
                             unsigned char OLS2N:1;     /*    OLS2N     */
                             unsigned char OLS2P:1;     /*    OLS2P     */
                             unsigned char OLS1N:1;     /*    OLS1N     */
                             unsigned char OLS1P:1;     /*    OLS1P     */
                             }      BIT;                /*              */
                      }         TOCR2;                  /*              */
                char            wk2[4];                 /*              */
                unsigned short  TCDR;                   /* TCDR         */
                unsigned short  TDDR;                   /* TDDR         */
                char            wk3[8];                 /*              */
                unsigned short  TCNTS;                  /* TCNTS        */
                unsigned short  TCBR;                   /* TCBR         */
                char            wk4[12];                /*              */
                union {                                 /* TITCR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char T3AEN :1;    /*    T3AEN     */
                             unsigned char T3ACOR:3;    /*    T3ACOR    */
                             unsigned char T4VEN :1;    /*    T4VEN     */
                             unsigned char T4VCOR:3;    /*    T4VCOR    */
                             }      BIT;                /*              */
                      }         TITCR;                  /*              */
                union {                                 /* TITCNT       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char       :1;    /*              */
                             unsigned char T3ACNT:3;    /*    T3ACNT    */
                             unsigned char       :1;    /*              */
                             unsigned char T4VCNT:3;    /*    T4VCNT    */
                             }      BIT;                /*              */
                      }         TITCNT;                 /*              */
                union {                                 /* TBTER        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :6;       /*              */
                             unsigned char BTE:2;       /*    BTE       */
                             }      BIT;                /*              */
                      }         TBTER;                  /*              */
                char            wk5;                    /*              */
                union {                                 /* TDER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char TDER:1;      /*    TDER      */
                             }      BIT;                /*              */
                      }         TDER;                   /*              */
                char            wk6;                    /*              */
                union {                                 /* TOLBR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char      :2;     /*              */
                             unsigned char OLS3N:1;     /*    OLS3N     */
                             unsigned char OLS3P:1;     /*    OLS3P     */
                             unsigned char OLS2N:1;     /*    OLS2N     */
                             unsigned char OLS2P:1;     /*    OLS2P     */
                             unsigned char OLS1N:1;     /*    OLS1N     */
                             unsigned char OLS1P:1;     /*    OLS1P     */
                             }      BIT;                /*              */
                      }         TOLBR;                  /*              */
                char            wk7[25];                /*              */
                union {                                 /* TSYCRS       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CE0A:1;      /*    CE0A      */
                             unsigned char CE0B:1;      /*    CE0B      */
                             unsigned char CE0C:1;      /*    CE0C      */
                             unsigned char CE0D:1;      /*    CE0D      */
                             unsigned char CE1A:1;      /*    CE1A      */
                             unsigned char CE1B:1;      /*    CE1B      */
                             unsigned char CE2A:1;      /*    CE2A      */
                             unsigned char CE2B:1;      /*    CE2B      */
                             }      BIT;                /*              */
                      }         TSYCRS;                 /*              */
                char            wk8[15];                /*              */
                union {                                 /* TWCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCE:1;       /*    CCE       */
                             unsigned char    :5;       /*              */
                             unsigned char SCC:1;       /*    SCC       */
                             unsigned char WRE:1;       /*    WRE       */
                             }      BIT;                /*              */
                      }         TWCR;                   /*              */
                char            wk9[31];                /*              */
                union {                                 /* TSTR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CST4:1;      /*    CST4      */
                             unsigned char CST3:1;      /*    CST3      */
                             }      BIT;                /*              */
                      }         TSTR;                   /*              */
                union {                                 /* TSYR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char SYNC4:1;     /*    SYNC4     */
                             unsigned char SYNC3:1;     /*    SYNC3     */
                             }      BIT;                /*              */
                      }         TSYR;                   /*              */
                char            wk10[2];                /*              */
                union {                                 /* TRWER        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :7;       /*              */
                             unsigned char RWE:1;       /*    RWE       */
                             }      BIT;                /*              */
                      }         TRWER;                  /*              */
};                                                      /*              */
struct st_ad0 {                                         /* struct A/D0  */
              unsigned short    ADDR0;                  /* ADDR0        */
              unsigned short    ADDR1;                  /* ADDR1        */
              unsigned short    ADDR2;                  /* ADDR2        */
              unsigned short    ADDR3;                  /* ADDR3        */
              char              wk1[8];                 /*              */
              union {                                   /* ADCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short ADF   :1;     /*    ADF       */
                           unsigned short ADIE  :1;     /*    ADIE      */
                           unsigned short       :2;     /*              */
                           unsigned short TRGE  :1;     /*    TRGE      */
                           unsigned short       :1;     /*              */
                           unsigned short CONADF:1;     /*    CONADF    */
                           unsigned short STC   :1;     /*    STC       */
                           unsigned short CKSL  :2;     /*    CKSL      */
                           unsigned short ADM   :2;     /*    ADM       */
                           unsigned short ADCS  :1;     /*    ADCS      */
                           unsigned short CH    :3;     /*    CH        */
                           }       BIT;                 /*              */
                    }           ADCSR;                  /*              */
              union {                                   /* ADCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :2;       /*              */
                           unsigned short ADST:1;       /*    ADST      */
                           }       BIT;                 /*              */
                    }           ADCR;                   /*              */
              char              wk2[8060];              /*              */
              union {                                   /* ADTSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short       :4;     /*              */
                           unsigned short TRG01S:4;     /*    TRG01S    */
                           unsigned short       :4;     /*              */
                           unsigned short TRG0S :4;     /*    TRG0S     */
                           }       BIT;                 /*              */
                    }           ADTSR;                  /*              */
};                                                      /*              */
struct st_ad1 {                                         /* struct A/D1  */
              unsigned short    ADDR4;                  /* ADDR4        */
              unsigned short    ADDR5;                  /* ADDR5        */
              unsigned short    ADDR6;                  /* ADDR6        */
              unsigned short    ADDR7;                  /* ADDR7        */
              char              wk1[8];                 /*              */
              union {                                   /* ADCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short ADF   :1;     /*    ADF       */
                           unsigned short ADIE  :1;     /*    ADIE      */
                           unsigned short       :2;     /*              */
                           unsigned short TRGE  :1;     /*    TRGE      */
                           unsigned short       :1;     /*              */
                           unsigned short CONADF:1;     /*    CONADF    */
                           unsigned short STC   :1;     /*    STC       */
                           unsigned short CKSL  :2;     /*    CKSL      */
                           unsigned short ADM   :2;     /*    ADM       */
                           unsigned short ADCS  :1;     /*    ADCS      */
                           unsigned short CH    :3;     /*    CH        */
                           }       BIT;                 /*              */
                    }           ADCSR;                  /*              */
              union {                                   /* ADCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :2;       /*              */
                           unsigned short ADST:1;       /*    ADST      */
                           }       BIT;                 /*              */
                    }           ADCR;                   /*              */
              char              wk2[7932];              /*              */
              union {                                   /* ADTSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short TRG11S:4;     /*    TRG11S    */
                           unsigned short       :4;     /*              */
                           unsigned short TRG1S :4;     /*    TRG1S     */
                           }       BIT;                 /*              */
                    }           ADTSR;                  /*              */
};                                                      /*              */
struct st_ad2 {                                         /* struct A/D2  */
              unsigned short    ADDR8;                  /* ADDR8        */
              unsigned short    ADDR9;                  /* ADDR9        */
              unsigned short    ADDR10;                 /* ADDR10       */
              unsigned short    ADDR11;                 /* ADDR11       */
              unsigned short    ADDR12;                 /* ADDR12       */
              unsigned short    ADDR13;                 /* ADDR13       */
              unsigned short    ADDR14;                 /* ADDR14       */
              unsigned short    ADDR15;                 /* ADDR15       */
              union {                                   /* ADCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short ADF   :1;     /*    ADF       */
                           unsigned short ADIE  :1;     /*    ADIE      */
                           unsigned short       :2;     /*              */
                           unsigned short TRGE  :1;     /*    TRGE      */
                           unsigned short       :1;     /*              */
                           unsigned short CONADF:1;     /*    CONADF    */
                           unsigned short STC   :1;     /*    STC       */
                           unsigned short CKSL  :2;     /*    CKSL      */
                           unsigned short ADM   :2;     /*    ADM       */
                           unsigned short ADCS  :1;     /*    ADCS      */
                           unsigned short CH    :3;     /*    CH        */
                           }       BIT;                 /*              */
                    }           ADCSR;                  /*              */
              union {                                   /* ADCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :2;       /*              */
                           unsigned short ADST:1;       /*    ADST      */
                           }       BIT;                 /*              */
                    }           ADCR;                   /*              */
              char              wk[7806];               /*              */
              union {                                   /* ADTSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short TRG2S:4;      /*    TRG2S     */
                           }       BIT;                 /*              */
                    }           ADTSR;                  /*              */
};                                                      /*              */
struct st_flash {                                       /* struct FLASH */
                union {                                 /* FCCS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FWE :1;      /*    FWE       */
                             unsigned char MAT :1;      /*    MAT       */
                             unsigned char     :1;      /*              */
                             unsigned char FLER:1;      /*    FLER      */
                             unsigned char     :3;      /*              */
                             unsigned char SCO :1;      /*    SCO       */
                             }      BIT;                /*              */
                      }         FCCS;                   /*              */
                union {                                 /* FPCS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char PPVS:1;      /*    PPVS      */
                             }      BIT;                /*              */
                      }         FPCS;                   /*              */
                union {                                 /* FECS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char EPVB:1;      /*    EPVB      */
                             }      BIT;                /*              */
                      }         FECS;                   /*              */
                char            wk1;                    /*              */
                unsigned char   FKEY;                   /* FKEY         */
                unsigned char   FMATS;                  /* FMATS        */
                union {                                 /* FTDAR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TDER:1;      /*    TDER      */
                             unsigned char TDA :7;      /*    TDA       */
                             }      BIT;                /*              */
                      }         FTDAR;                  /*              */
                char            wk2[9473];              /*              */
                union {                                 /* RAMER        */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Bit  Access */
                             unsigned short     :12;    /*              */
                             unsigned short RAMS: 1;    /*    RAMS      */
                             unsigned short RAM : 3;    /*    RAM       */
                             }       BIT;               /*              */
                      }         RAMER;                  /*              */
};                                                      /*              */
struct st_dtc {                                         /* struct DTC   */
              union {                                   /* DTCERA       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char IRQ0:1;        /*    IRQ0      */
                           unsigned char IRQ1:1;        /*    IRQ1      */
                           unsigned char IRQ2:1;        /*    IRQ2      */
                           unsigned char IRQ3:1;        /*    IRQ3      */
                           unsigned char IRQ4:1;        /*    IRQ4      */
                           unsigned char IRQ5:1;        /*    IRQ5      */
                           unsigned char IRQ6:1;        /*    IRQ6      */
                           unsigned char IRQ7:1;        /*    IRQ7      */
                           }       BIT;                 /*              */
                    }           DTCERA;                 /*              */
              union {                                   /* DTCERB       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TGIA0:1;       /*    TGIA0     */
                           unsigned char TGIB0:1;       /*    TGIB0     */
                           unsigned char TGIC0:1;       /*    TGIC0     */
                           unsigned char TGID0:1;       /*    TGID0     */
                           unsigned char TGIA1:1;       /*    TGIA1     */
                           unsigned char TGIB1:1;       /*    TGIB1     */
                           unsigned char TGIA2:1;       /*    TGIA2     */
                           unsigned char TGIB2:1;       /*    TGIB2     */
                           unsigned char TGIA3:1;       /*    TGIA3     */
                           unsigned char TGIB3:1;       /*    TGIB3     */
                           unsigned char TGIC3:1;       /*    TGIC3     */
                           unsigned char TGID3:1;       /*    TGID3     */
                           unsigned char TGIA4:1;       /*    TGIA4     */
                           unsigned char TGIB4:1;       /*    TGIB4     */
                           unsigned char TGIC4:1;       /*    TGIC4     */
                           unsigned char TGID4:1;       /*    TGID4     */
                           }       BIT;                 /*              */
                    }           DTCERB;                 /*              */
              union {                                   /* DTCERC       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TCIV4 :1;      /*    TCIV4     */
                           unsigned char TGIU5 :1;      /*    TGIU5     */
                           unsigned char TGIV5 :1;      /*    TGIV5     */
                           unsigned char TGIW5 :1;      /*    TGIW5     */
                           unsigned char       :4;      /*              */
                           unsigned char       :4;      /*              */
                           unsigned char TGIA3S:1;      /*    TGIA3S    */
                           unsigned char TGIB3S:1;      /*    TGIB3S    */
                           unsigned char TGIC3S:1;      /*    TGIC3S    */
                           unsigned char TGID3S:1;      /*    TGID3S    */
                           }       BIT;                 /*              */
                    }           DTCERC;                 /*              */
              union {                                   /* DTCERD       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TGIA4S:1;      /*    TGIA4S    */
                           unsigned char TGIB4S:1;      /*    TGIB4S    */
                           unsigned char TGIC4S:1;      /*    TGIC4S    */
                           unsigned char TGID4S:1;      /*    TGID4S    */
                           unsigned char TCIV4S:1;      /*    TCIV4S    */
                           unsigned char TGIU5S:1;      /*    TGIU5S    */
                           unsigned char TGIV5S:1;      /*    TGIV5S    */
                           unsigned char TGIW5S:1;      /*    TGIW5S    */
                           unsigned char CMI0  :1;      /*    CMI0      */
                           unsigned char CMI1  :1;      /*    CMI1      */
                           unsigned char ADI0  :1;      /*    ADI0      */
                           unsigned char ADI1  :1;      /*    ADI1      */
                           unsigned char ADI2  :1;      /*    ADI2      */
                           }       BIT;                 /*              */
                    }           DTCERD;                 /*              */
              union {                                   /* DTCERE       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char RXI0 :1;       /*    RXI0      */
                           unsigned char TXI0 :1;       /*    TXI0      */
                           unsigned char RXI1 :1;       /*    RXI1      */
                           unsigned char TXI1 :1;       /*    TXI1      */
                           unsigned char RXI2 :1;       /*    RXI2      */
                           unsigned char TXI2 :1;       /*    TXI2      */
                           unsigned char RXIF :1;       /*    RXIF      */
                           unsigned char TXIF :1;       /*    TXIF      */
                           unsigned char SSRXI:1;       /*    SSRXI     */
                           unsigned char SSTXI:1;       /*    SSTXI     */
                           unsigned char IITXI:1;       /*    IITXI     */
                           unsigned char IIRXI:1;       /*    IIRXI     */
                           }       BIT;                 /*              */
                    }           DTCERE;                 /*              */
              char              wk1[6];                 /*              */
              union {                                   /* DTCCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char RRS  :1;       /*    RRS       */
                           unsigned char RCHNE:1;       /*    RCHNE     */
                           unsigned char      :2;       /*              */
                           unsigned char ERR  :1;       /*    ERR       */
                           }       BIT;                 /*              */
                    }           DTCCR;                  /*              */
              char              wk2[3];                 /*              */
              unsigned int      DTCVBR;                 /* DTCVBR       */
};                                                      /*              */
struct st_iic2 {                                        /* struct IIC2  */
               union {                                  /* ICCR1        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ICE :1;       /*    ICE       */
                            unsigned char RCVD:1;       /*    RCVD      */
                            unsigned char MST :1;       /*    MST       */
                            unsigned char TRS :1;       /*    TRS       */
                            unsigned char CKS :4;       /*    CKS       */
                            }      BIT;                 /*              */
                     }          ICCR1;                  /*              */
               union {                                  /* ICCR2        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BBSY  :1;     /*    BBSY      */
                            unsigned char SCP   :1;     /*    SCP       */
                            unsigned char SDAO  :1;     /*    SDAO      */
                            unsigned char SDAOP :1;     /*    SDAOP     */
                            unsigned char SCLO  :1;     /*    SCLO      */
                            unsigned char       :1;     /*              */
                            unsigned char IICRST:1;     /*    IICRST    */
                            }      BIT;                 /*              */
                     }          ICCR2;                  /*              */
               union {                                  /* ICMR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char MLS :1;       /*    MLS       */
                            unsigned char WAIT:1;       /*    WAIT      */
                            unsigned char     :2;       /*              */
                            unsigned char BCWP:1;       /*    BCWP      */
                            unsigned char BC  :3;       /*    BC        */
                            }      BIT;                 /*              */
                     }          ICMR;                   /*              */
               union {                                  /* ICIER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TIE  :1;      /*    TIE       */
                            unsigned char TEIE :1;      /*    TEIE      */
                            unsigned char RIE  :1;      /*    RIE       */
                            unsigned char NAKIE:1;      /*    NAKIE     */
                            unsigned char STIE :1;      /*    STIE      */
                            unsigned char ACKE :1;      /*    ACKE      */
                            unsigned char ACKBR:1;      /*    ACKBR     */
                            unsigned char ACKBT:1;      /*    ACKBT     */
                            }      BIT;                 /*              */
                     }          ICIER;                  /*              */
               union {                                  /* ICSR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TDRE :1;      /*    TDRE      */
                            unsigned char TEND :1;      /*    TEND      */
                            unsigned char RDRF :1;      /*    RDRF      */
                            unsigned char NACKF:1;      /*    NACKF     */
                            unsigned char STOP :1;      /*    STOP      */
                            unsigned char ALOVE:1;      /*    ALOVE     */
                            unsigned char AAS  :1;      /*    AAS       */
                            unsigned char ADZ  :1;      /*    ADZ       */
                            }      BIT;                 /*              */
                     }          ICSR;                   /*              */
               union {                                  /* SAR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SVA:7;        /*    SVA       */
                            unsigned char FS :1;        /*    FS        */
                            }      BIT;                 /*              */
                     }          SAR;                    /*              */
               unsigned char    ICDRT;                  /* ICDRT        */
               unsigned char    ICDRR;                  /* ICDRR        */
               union {                                  /* NF2CYC       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :7;     /*              */
                            unsigned char NF2CYC:1;     /*    NF2CYC    */
                            }      BIT;                 /*              */
                     }          NF2CYC;                 /*              */
};                                                      /*              */
struct st_ssu {                                         /* struct SSU   */
              union {                                   /* SSCRH        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MSS :1;        /*    MSS       */
                           unsigned char BIDE:1;        /*    BIDE      */
                           unsigned char     :1;        /*              */
                           unsigned char SOL :1;        /*    SOL       */
                           unsigned char SOLP:1;        /*    SOLP      */
                           unsigned char     :1;        /*              */
                           unsigned char CSS :2;        /*    CSS       */
                           }      BIT;                  /*              */
                    }           SSCRH;                  /*              */
              union {                                   /* SSCRL        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char FCLRM:1;       /*    FCLRM     */
                           unsigned char SSUMS:1;       /*    SSUMS     */
                           unsigned char SRES :1;       /*    SRES      */
                           unsigned char      :3;       /*              */
                           unsigned char DATS :2;       /*    DATS      */
                           }      BIT;                  /*              */
                    }           SSCRL;                  /*              */
              union {                                   /* SSMR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MLS :1;        /*    MLS       */
                           unsigned char CPOS:1;        /*    CPOS      */
                           unsigned char CPHS:1;        /*    CPHS      */
                           unsigned char     :2;        /*              */
                           unsigned char CKS :3;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SSMR;                   /*              */
              union {                                   /* SSER         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char     :2;        /*              */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char CEIE:1;        /*    CEIE      */
                           }      BIT;                  /*              */
                    }           SSER;                   /*              */
              union {                                   /* SSSR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char     :2;        /*              */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char CE  :1;        /*    CE        */
                           }      BIT;                  /*              */
                    }           SSSR;                   /*              */
              union {                                   /* SSCR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char SDOS   :1;     /*    SDOS      */
                           unsigned char SSCKOS :1;     /*    SSCKOS    */
                           unsigned char SCSOS  :1;     /*    SCSOS     */
                           unsigned char TENDSTS:1;     /*    TENDSTS   */
                           unsigned char SCSATS :1;     /*    SCSATS    */
                           unsigned char SSODTS :1;     /*    SSODTS    */
                           }      BIT;                  /*              */
                    }           SSCR2;                  /*              */
              unsigned char     SSTDR0;                 /* SSTDR0       */
              unsigned char     SSTDR1;                 /* SSTDR1       */
              unsigned char     SSTDR2;                 /* SSTDR2       */
              unsigned char     SSTDR3;                 /* SSTDR3       */
              unsigned char     SSRDR0;                 /* SSRDR0       */
              unsigned char     SSRDR1;                 /* SSRDR1       */
              unsigned char     SSRDR2;                 /* SSRDR2       */
              unsigned char     SSRDR3;                 /* SSRDR3       */
};                                                      /*              */
struct st_cmt {                                         /* struct CMT   */
              union {                                   /* CMSTR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :6;        /*              */
                           unsigned char STR1:1;        /*    STR1      */
                           unsigned char STR0:1;        /*    STR0      */
                           }       BIT;                 /*              */
                    }           CMSTR;                  /*              */
};                                                      /*              */
struct st_cmt0 {                                        /* struct CMT0  */
               union {                                  /* CMCSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char     :8;       /*              */
                            unsigned char CMF :1;       /*    CMF       */
                            unsigned char CMIE:1;       /*    CMIE      */
                            unsigned char     :4;       /*              */
                            unsigned char CKS :2;       /*    CKS       */
                            }       BIT;                /*              */
                     }          CMCSR;                  /*              */
               unsigned short   CMCNT;                  /* CMCNT        */
               unsigned short   CMCOR;                  /* CMCOR        */
};                                                      /*              */
struct st_poe {                                         /* struct POE   */
              union {                                   /* ICSR1        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char POE3F:1;       /*    POE3F     */
                           unsigned char POE2F:1;       /*    POE2F     */
                           unsigned char POE1F:1;       /*    POE1F     */
                           unsigned char POE0F:1;       /*    POE0F     */
                           unsigned char      :3;       /*              */
                           unsigned char PIE1 :1;       /*    PIE1      */
                           unsigned char POE3M:2;       /*    POE3M     */
                           unsigned char POE2M:2;       /*    POE2M     */
                           unsigned char POE1M:2;       /*    POE1M     */
                           unsigned char POE0M:2;       /*    POE0M     */
                           }       BIT;                 /*              */
                    }           ICSR1;                  /*              */
              union {                                   /* OCSR1        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char OSF1:1;        /*    OSF1      */
                           unsigned char     :5;        /*              */
                           unsigned char OCE1:1;        /*    OCE1      */
                           unsigned char OIE1:1;        /*    OIE1      */
                           }       BIT;                 /*              */
                    }           OCSR1;                  /*              */
              union {                                   /* ICSR2        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char POE7F:1;       /*    POE7F     */
                           unsigned char POE6F:1;       /*    POE6F     */
                           unsigned char POE5F:1;       /*    POE5F     */
                           unsigned char POE4F:1;       /*    POE4F     */
                           unsigned char      :3;       /*              */
                           unsigned char PIE2 :1;       /*    PIE2      */
                           unsigned char POE7M:2;       /*    POE7M     */
                           unsigned char POE6M:2;       /*    POE6M     */
                           unsigned char POE5M:2;       /*    POE5M     */
                           unsigned char POE4M:2;       /*    POE4M     */
                           }       BIT;                 /*              */
                    }           ICSR2;                  /*              */
              union {                                   /* OCSR2        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char OSF2:1;        /*    OSF2      */
                           unsigned char     :5;        /*              */
                           unsigned char OCE2:1;        /*    OCE2      */
                           unsigned char OIE2:1;        /*    OIE2      */
                           }       BIT;                 /*              */
                    }           OCSR2;                  /*              */
              union {                                   /* ICSR3        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char POE8F:1;       /*    POE8F     */
                           unsigned char      :2;       /*              */
                           unsigned char POE8E:1;       /*    POE8E     */
                           unsigned char PIE3 :1;       /*    PIE3      */
                           unsigned char      :6;       /*              */
                           unsigned char POE8M:2;       /*    POE8M     */
                           }       BIT;                 /*              */
                    }           ICSR3;                  /*              */
              union {                                   /* SPOER        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char            :5; /*              */
                           unsigned char MTU2SHIZ   :1; /*    MTU2SHIZ  */
                           unsigned char MTU2CH0HIZ :1; /*    MTU2CH0HIZ*/
                           unsigned char MTU2CH34HIZ:1; /*    MTU2CH34HI*/
                           }      BIT;                  /*              */
                    }           SPOER;                  /*              */
              union {                                   /* POECR1       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char          :4;   /*              */
                           unsigned char MTU2PE3ZE:1;   /*    MTU2PE3ZE */
                           unsigned char MTU2PE2ZE:1;   /*    MTU2PE2ZE */
                           unsigned char MTU2PE1ZE:1;   /*    MTU2PE1ZE */
                           unsigned char MTU2PE0ZE:1;   /*    MTU2PE0ZE */
                           }      BIT;                  /*              */
                    }           POECR1;                 /*              */
              union {                                   /* POECR2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char           :1;  /*              */
                           unsigned char MTU2P1CZE :1;  /*    MTU2P1CZE */
                           unsigned char MTU2P2CZE :1;  /*    MTU2P2CZE */
                           unsigned char MTU2P3CZE :1;  /*    MTU2P3CZE */
                           unsigned char           :1;  /*              */
                           unsigned char MTU2SP1CZE:1;  /*    MTU2SP1CZE*/
                           unsigned char MTU2SP2CZE:1;  /*    MTU2SP2CZE*/
                           unsigned char MTU2SP3CZE:1;  /*    MTU2SP3CZE*/
                           unsigned char           :1;  /*              */
                           unsigned char MTU2SP4CZE:1;  /*    MTU2SP4CZE*/
                           unsigned char MTU2SP5CZE:1;  /*    MTU2SP5CZE*/
                           unsigned char MTU2SP6CZE:1;  /*    MTU2SP6CZE*/
                           unsigned char           :1;  /*              */
                           unsigned char MTU2SP7CZE:1;  /*    MTU2SP7CZE*/
                           unsigned char MTU2SP8CZE:1;  /*    MTU2SP8CZE*/
                           unsigned char MTU2SP9CZE:1;  /*    MTU2SP9CZE*/
                           }       BIT;                 /*              */
                    }           POECR2;                 /*              */
};                                                      /*              */
struct st_pa {                                          /* struct PA    */
             union {                                    /* PADR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :2;          /*              */
                          unsigned char B29:1;          /*    Bit 29    */
                          unsigned char B28:1;          /*    Bit 28    */
                          unsigned char B27:1;          /*    Bit 27    */
                          unsigned char B26:1;          /*    Bit 26    */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              */
             union {                                    /* PAPR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :2;          /*              */
                          unsigned char B29:1;          /*    Bit 29    */
                          unsigned char B28:1;          /*    Bit 28    */
                          unsigned char B27:1;          /*    Bit 27    */
                          unsigned char B26:1;          /*    Bit 26    */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pb {                                          /* struct PB    */
             union {                                    /* PBDRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char   :6;           /*              */
                          unsigned char B9:1;           /*    Bit  9    */
                          unsigned char B8:1;           /*    Bit  8    */
                          unsigned char B7:1;           /*    Bit  7    */
                          unsigned char B6:1;           /*    Bit  6    */
                          unsigned char B5:1;           /*    Bit  5    */
                          unsigned char B4:1;           /*    Bit  4    */
                          unsigned char B3:1;           /*    Bit  3    */
                          unsigned char B2:1;           /*    Bit  2    */
                          unsigned char B1:1;           /*    Bit  1    */
                          unsigned char B0:1;           /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DRL;                    /*              */
             char               wk[26];                 /*              */
             union {                                    /* PBPRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char   :6;           /*              */
                          unsigned char B9:1;           /*    Bit  9    */
                          unsigned char B8:1;           /*    Bit  8    */
                          unsigned char B7:1;           /*    Bit  7    */
                          unsigned char B6:1;           /*    Bit  6    */
                          unsigned char B5:1;           /*    Bit  5    */
                          unsigned char B4:1;           /*    Bit  4    */
                          unsigned char B3:1;           /*    Bit  3    */
                          unsigned char B2:1;           /*    Bit  2    */
                          unsigned char B1:1;           /*    Bit  1    */
                          unsigned char B0:1;           /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            PRL;                    /*              */
};                                                      /*              */
struct st_pc {                                          /* struct PC    */
             union {                                    /* PCDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :6;          /*              */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char    :2;          /*              */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              */
             union {                                    /* PCPR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :6;          /*              */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char    :2;          /*              */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pd {                                          /* struct PD    */
             union {                                    /* PDDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B31:1;          /*    Bit 31    */
                          unsigned char B30:1;          /*    Bit 30    */
                          unsigned char B29:1;          /*    Bit 29    */
                          unsigned char B28:1;          /*    Bit 28    */
                          unsigned char B27:1;          /*    Bit 27    */
                          unsigned char B26:1;          /*    Bit 26    */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              */
             union {                                    /* PDPR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B31:1;          /*    Bit 31    */
                          unsigned char B30:1;          /*    Bit 30    */
                          unsigned char B29:1;          /*    Bit 29    */
                          unsigned char B28:1;          /*    Bit 28    */
                          unsigned char B27:1;          /*    Bit 27    */
                          unsigned char B26:1;          /*    Bit 26    */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             union {                                    /* PEDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          char          wk;             /*              */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char    :2;          /*              */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              */
             union {                                    /* PEPR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          char          wk;             /*              */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char    :2;          /*              */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             union {                                    /* PFDRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DRL;                    /*              */
};                                                      /*              */
struct st_pfc {                                         /* struct PFC   */
              union {                                   /* PAIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :2;         /*              */
                           unsigned char B29:1;         /*    Bit 29    */
                           unsigned char B28:1;         /*    Bit 28    */
                           unsigned char B27:1;         /*    Bit 27    */
                           unsigned char B26:1;         /*    Bit 26    */
                           unsigned char B25:1;         /*    Bit 25    */
                           unsigned char B24:1;         /*    Bit 24    */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PAIORH;                 /*              */
              union {                                   /* PAIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PAIORL;                 /*              */
              union {                                   /* PACRH4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :8;      /*              */
                           unsigned char       :2;      /*              */
                           unsigned char PA29MD:2;      /*    PA29MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA28MD:2;      /*    PA28MD    */
                           }       BIT;                 /*              */
                    }           PACRH4;                 /*              */
              union {                                   /* PACRH3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PA27MD:2;      /*    PA27MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA26MD:2;      /*    PA26MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA25MD:2;      /*    PA25MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA24MD:2;      /*    PA24MD    */
                           }       BIT;                 /*              */
                    }           PACRH3;                 /*              */
              union {                                   /* PACRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PA23MD:2;      /*    PA23MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA22MD:2;      /*    PA22MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA21MD:2;      /*    PA21MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA20MD:2;      /*    PA20MD    */
                           }       BIT;                 /*              */
                    }           PACRH2;                 /*              */
              union {                                   /* PACRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PA19MD:2;      /*    PA19MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA18MD:2;      /*    PA18MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PA17MD:2;      /*    PA17MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA16MD:3;      /*    PA16MD    */
                           }       BIT;                 /*              */
                    }           PACRH1;                 /*              */
              union {                                   /* PACRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PA15MD:3;      /*    PA15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA14MD:3;      /*    PA14MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA13MD:3;      /*    PA13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA12MD:3;      /*    PA12MD    */
                           }       BIT;                 /*              */
                    }           PACRL4;                 /*              */
              union {                                   /* PACRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PA11MD:3;      /*    PA11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA10MD:3;      /*    PA10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA9MD :3;      /*    PA9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PA8MD :3;      /*    PA8MD     */
                           }       BIT;                 /*              */
                    }           PACRL3;                 /*              */
              union {                                   /* PACRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PA7MD:3;       /*    PA7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA6MD:3;       /*    PA6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA5MD:3;       /*    PA5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA4MD:3;       /*    PA4MD     */
                           }       BIT;                 /*              */
                    }           PACRL2;                 /*              */
              union {                                   /* PACRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PA3MD:3;       /*    PA3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA2MD:3;       /*    PA2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA1MD:3;       /*    PA1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA0MD:3;       /*    PA0MD     */
                           }       BIT;                 /*              */
                    }           PACRL1;                 /*              */
              char              wk1[110];               /*              */
              union {                                   /* PBIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char   :6;          /*              */
                           unsigned char B9:1;          /*    Bit  9    */
                           unsigned char B8:1;          /*    Bit  8    */
                           unsigned char B7:1;          /*    Bit  7    */
                           unsigned char B6:1;          /*    Bit  6    */
                           unsigned char B5:1;          /*    Bit  5    */
                           unsigned char B4:1;          /*    Bit  4    */
                           unsigned char B3:1;          /*    Bit  3    */
                           unsigned char B2:1;          /*    Bit  2    */
                           unsigned char B1:1;          /*    Bit  1    */
                           unsigned char B0:1;          /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PBIORL;                 /*              */
              char              wk2[10];                /*              */
              union {                                   /* PBCRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :8;       /*              */
                           unsigned char      :1;       /*              */
                           unsigned char PB9MD:3;       /*    PB9MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB8MD:3;       /*    PB8MD     */
                           }       BIT;                 /*              */
                    }           PBCRL3;                 /*              */
              union {                                   /* PBCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PB7MD:3;       /*    PB7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB6MD:3;       /*    PB6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB5MD:3;       /*    PB5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB4MD:3;       /*    PB4MD     */
                           }       BIT;                 /*              */
                    }           PBCRL2;                 /*              */
              union {                                   /* PBCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PB3MD:3;       /*    PB3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB2MD:3;       /*    PB2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB1MD:3;       /*    PB1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB0MD:3;       /*    PB0MD     */
                           }       BIT;                 /*              */
                    }           PBCRL1;                 /*              */
              char              wk3[108];               /*              */
              union {                                   /* PCIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :6;         /*              */
                           unsigned char B25:1;         /*    Bit 25    */
                           unsigned char B24:1;         /*    Bit 24    */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           }       BIT;                 /*              */
                    }           PCIORH;                 /*              */
              union {                                   /* PCIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PCIORL;                 /*              */
              char              wk4[2];                 /*              */
              union {                                   /* PCCRH3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :8;      /*              */
                           unsigned char       :3;      /*              */
                           unsigned char PC25MD:1;      /*    PC25MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC24MD:1;      /*    PC24MD    */
                           }       BIT;                 /*              */
                    }           PCCRH3;                 /*              */
              union {                                   /* PCCRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :3;      /*              */
                           unsigned char PC23MD:1;      /*    PC23MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC22MD:1;      /*    PC22MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC21MD:1;      /*    PC21MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC20MD:1;      /*    PC20MD    */
                           }       BIT;                 /*              */
                    }           PCCRH2;                 /*              */
              union {                                   /* PCCRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :3;      /*              */
                           unsigned char PC19MD:1;      /*    PC19MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC18MD:1;      /*    PC18MD    */
                           }       BIT;                 /*              */
                    }           PCCRH1;                 /*              */
              union {                                   /* PCCRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :3;      /*              */
                           unsigned char PC15MD:1;      /*    PC15MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC14MD:1;      /*    PC14MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC13MD:1;      /*    PC13MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC12MD:1;      /*    PC12MD    */
                           }       BIT;                 /*              */
                    }           PCCRL4;                 /*              */
              union {                                   /* PCCRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :3;      /*              */
                           unsigned char PC11MD:1;      /*    PC11MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC10MD:1;      /*    PC10MD    */
                           unsigned char       :3;      /*              */
                           unsigned char PC9MD :1;      /*    PC9MD     */
                           unsigned char       :3;      /*              */
                           unsigned char PC8MD :1;      /*    PC8MD     */
                           }       BIT;                 /*              */
                    }           PCCRL3;                 /*              */
              union {                                   /* PCCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char PC7MD:1;       /*    PC7MD     */
                           unsigned char      :3;       /*              */
                           unsigned char PC6MD:1;       /*    PC6MD     */
                           unsigned char      :3;       /*              */
                           unsigned char PC5MD:1;       /*    PC5MD     */
                           unsigned char      :3;       /*              */
                           unsigned char PC4MD:1;       /*    PC4MD     */
                           }       BIT;                 /*              */
                    }           PCCRL2;                 /*              */
              union {                                   /* PCCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char PC3MD:1;       /*    PC3MD     */
                           unsigned char      :3;       /*              */
                           unsigned char PC2MD:1;       /*    PC2MD     */
                           unsigned char      :3;       /*              */
                           unsigned char PC1MD:1;       /*    PC1MD     */
                           unsigned char      :3;       /*              */
                           unsigned char PC0MD:1;       /*    PC0MD     */
                           }       BIT;                 /*              */
                    }           PCCRL1;                 /*              */
              char              wk5[108];               /*              */
              union {                                   /* PDIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B31:1;         /*    Bit 31    */
                           unsigned char B30:1;         /*    Bit 30    */
                           unsigned char B29:1;         /*    Bit 29    */
                           unsigned char B28:1;         /*    Bit 28    */
                           unsigned char B27:1;         /*    Bit 27    */
                           unsigned char B26:1;         /*    Bit 26    */
                           unsigned char B25:1;         /*    Bit 25    */
                           unsigned char B24:1;         /*    Bit 24    */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PDIORH;                 /*              */
              union {                                   /* PDIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PDIORL;                 /*              */
              union {                                   /* PDCRH4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PD31MD:2;      /*    PD31MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD30MD:2;      /*    PD30MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD29MD:2;      /*    PD29MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD28MD:2;      /*    PD28MD    */
                           }       BIT;                 /*              */
                    }           PDCRH4;                 /*              */
              union {                                   /* PDCRH3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PD27MD:2;      /*    PD27MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD26MD:2;      /*    PD26MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD25MD:2;      /*    PD25MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD24MD:2;      /*    PD24MD    */
                           }       BIT;                 /*              */
                    }           PDCRH3;                 /*              */
              union {                                   /* PDCRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PD23MD:2;      /*    PD23MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD22MD:3;      /*    PD22MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD21MD:3;      /*    PD21MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD20MD:3;      /*    PD20MD    */
                           }       BIT;                 /*              */
                    }           PDCRH2;                 /*              */
              union {                                   /* PDCRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PD19MD:3;      /*    PD19MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD18MD:3;      /*    PD18MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD17MD:3;      /*    PD17MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD16MD:3;      /*    PD16MD    */
                           }       BIT;                 /*              */
                    }           PDCRH1;                 /*              */
              union {                                   /* PDCRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PD15MD:2;      /*    PD15MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD14MD:2;      /*    PD14MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD13MD:2;      /*    PD13MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PD12MD:2;      /*    PD12MD    */
                           }       BIT;                 /*              */
                    }           PDCRL4;                 /*              */
              union {                                   /* PDCRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PD11MD:2;      /*    PD11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD10MD:3;      /*    PD10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD9MD :3;      /*    PD9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PD8MD :3;      /*    PD8MD     */
                           }       BIT;                 /*              */
                    }           PDCRL3;                 /*              */
              union {                                   /* PDCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PD7MD:3;       /*    PD7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD6MD:3;       /*    PD6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD5MD:3;       /*    PD5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD4MD:3;       /*    PD4MD     */
                           }       BIT;                 /*              */
                    }           PDCRL2;                 /*              */
              union {                                   /* PDCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PD3MD:3;       /*    PD3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD2MD:3;       /*    PD2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD1MD:3;       /*    PD1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD0MD:3;       /*    PD0MD     */
                           }       BIT;                 /*              */
                    }           PDCRL1;                 /*              */
              char              wk6[108];               /*              */
              union {                                   /* PEIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char    :2;         /*              */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PEIORH;                 /*              */
              union {                                   /* PEIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PEIORL;                 /*              */
              char              wk7[4];                 /*              */
              union {                                   /* PECRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :8;      /*              */
                           unsigned char       :2;      /*              */
                           unsigned char PE21MD:2;      /*    PE21MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PE20MD:2;      /*    PE20MD    */
                           }       BIT;                 /*              */
                    }           PECRH2;                 /*              */
              union {                                   /* PECRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :2;      /*              */
                           unsigned char PE19MD:2;      /*    PE19MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PE18MD:2;      /*    PE18MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PE17MD:2;      /*    PE17MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE16MD:3;      /*    PE16MD    */
                           }       BIT;                 /*              */
                    }           PECRH1;                 /*              */
              union {                                   /* PECRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PE15MD:3;      /*    PE15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE14MD:3;      /*    PE14MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PE13MD:2;      /*    PE13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE12MD:3;      /*    PE12MD    */
                           }       BIT;                 /*              */
                    }           PECRL4;                 /*              */
              union {                                   /* PECRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PE11MD:3;      /*    PE11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE10MD:3;      /*    PE10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE9MD :3;      /*    PE9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PE8MD :3;      /*    PE8MD     */
                           }       BIT;                 /*              */
                    }           PECRL3;                 /*              */
              union {                                   /* PECRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PE7MD:3;       /*    PE7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE6MD:3;       /*    PE6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE5MD:3;       /*    PE5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE4MD:3;       /*    PE4MD     */
                           }       BIT;                 /*              */
                    }           PECRL2;                 /*              */
              union {                                   /* PECRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PE3MD:3;       /*    PE3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE2MD:3;       /*    PE2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE1MD:3;       /*    PE1MD     */
                           unsigned char      :2;       /*              */
                           unsigned char PE0MD:2;       /*    PE0MD     */
                           }       BIT;                 /*              */
                    }           PECRL1;                 /*              */
              char              wk8[8];                 /*              */
              union {                                   /* HCPCR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :8;      /*              */
                           unsigned char       :4;      /*              */
                           unsigned char MZIZDH:1;      /*    MZIZDH    */
                           unsigned char MZIZDL:1;      /*    MZIZDL    */
                           unsigned char MZIZEH:1;      /*    MZIZEH    */
                           unsigned char MZIZEL:1;      /*    MZIZEL    */
                           }      BIT;                  /*              */
                    }           HCPCR;                  /*              */
              union {                                   /* IFCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char        :8;     /*              */
                           unsigned char        :4;     /*              */
                           unsigned char PDIRQMD:2;     /*    PDIRQMD   */
                           unsigned char PEIRQMD:2;     /*    PEIRQMD   */
                           }      BIT;                  /*              */
                    }           IFCR;                   /*              */
};                                                      /*              */
struct st_cpg {                                         /* struct CPG   */
              union {                                   /* FRQCR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit Access  */
                           unsigned short     :1;       /*              */
                           unsigned short IFC :3;       /*    IFC       */
                           unsigned short BFC :3;       /*    BFC       */
                           unsigned short _PFC:3;       /*    PFC       */
                           unsigned short MIFC:3;       /*    MIFC      */
                           unsigned short MPFC:3;       /*    MPFC      */
                           }       BIT;                 /*              */
                    }           FRQCR;                  /*              */
              char              wk[18];                 /*              */
              union {                                   /* OSCCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char        :5;     /*              */
                           unsigned char OSCSTOP:1;     /*    OSCSTOP   */
                           unsigned char        :1;     /*              */
                           unsigned char OSCERS :1;     /*    OSCERS    */
                           }      BIT;                  /*              */
                    }           OSCCR;                  /*              */
};                                                      /*              */
struct st_stb {                                         /* struct STB   */
              union {                                   /* STBCR1       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char STBY:1;        /*    STBY      */
                           }      BIT;                  /*              */
                    }           CR1;                    /*              */
              char              wk1;                    /*              */
              union {                                   /* STBCR2       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char _RAM :1;       /*    RAM       */
                           unsigned char _ROM :1;       /*    ROM       */
                           unsigned char      :1;       /*              */
                           unsigned char _DTC :1;       /*    DTC       */
                           unsigned char _DMAC:1;       /*    DMAC      */
                           }      BIT;                  /*              */
                    }           CR2;                    /*              */
              char              wk2;                    /*              */
              union {                                   /* STBCR3       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char _IIC2:1;       /*    IIC2      */
                           unsigned char _SCIF:1;       /*    SCIF      */
                           unsigned char _SCI2:1;       /*    SCI2      */
                           unsigned char _SCI1:1;       /*    SCI1      */
                           unsigned char _SCI0:1;       /*    SCI0      */
                           unsigned char _SSU :1;       /*    SSU       */
                           }      BIT;                  /*              */
                    }           CR3;                    /*              */
              char              wk3;                    /*              */
              union {                                   /* STBCR4       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char _MTU2S:1;      /*    MTU2S     */
                           unsigned char _MTU2 :1;      /*    MTU2      */
                           unsigned char _CMT  :1;      /*    CMT       */
                           unsigned char       :2;      /*              */
                           unsigned char _AD2  :1;      /*    A/D2      */
                           unsigned char _AD1  :1;      /*    A/D1      */
                           unsigned char _AD0  :1;      /*    A/D0      */
                           }      BIT;                  /*              */
                    }           CR4;                    /*              */
              char              wk4;                    /*              */
              union {                                   /* STBCR5       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :6;        /*              */
                           unsigned char _AUD:1;        /*    AUD       */
                           unsigned char _UBC:1;        /*    UBC       */
                           }      BIT;                  /*              */
                    }           CR5;                    /*              */
              char              wk5;                    /*              */
              union {                                   /* STBCR6       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char AUDSRST:1;     /*   AUDSRST    */
                           unsigned char HIZ    :1;     /*   HIZ        */
                           unsigned char        :4;     /*              */
                           unsigned char STBYMD :1;     /*   STBYMD     */
                           }      BIT;                  /*              */
                    }           CR6;                    /*              */
};                                                      /*              */
union un_ramcr {                                        /* union RAMCR  */
               unsigned char BYTE;                      /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char     :3;             /*              */
                      unsigned char RAME:1;             /*    RAME      */
                      }      BIT;                       /*              */
};                                                      /*              */
union un_wdt {                                          /* union WDT    */
             struct {                                   /* Read  Access */
                    unsigned char WTCNT;                /* WTCNT        */
                    char          wk;                   /*              */
                    union {                             /* WTCSR        */
                          unsigned char BYTE;           /*  Byte Access */
                          struct {                      /*  Bit  Access */
                                 unsigned char TME :1;  /*    TME       */
                                 unsigned char WTIT:1;  /*    WT/IT     */
                                 unsigned char RSTS:1;  /*    RSTS      */
                                 unsigned char WOVF:1;  /*    WOVF      */
                                 unsigned char IOVF:1;  /*    IOVF      */
                                 unsigned char CKS :3;  /*    CKS       */
                                 }      BIT;            /*              */
                          }       WTCSR;                /*              */
                    } READ;                             /*              */
             struct {                                   /* Write Access */
                    unsigned short WTCNT;               /* WTCNT        */
                    unsigned short WTCSR;               /* WTCSR        */
                    } WRITE;                            /*              */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* ICR0         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char NMIL:1;       /*    NMIL      */
                            unsigned char     :6;       /*              */
                            unsigned char NMIE:1;       /*    NMIE      */
                            }       BIT;                /*              */
                     }          ICR0;                   /*              */
               union {                                  /* IRQCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ7S:2;      /*    IRQ7S     */
                            unsigned char IRQ6S:2;      /*    IRQ6S     */
                            unsigned char IRQ5S:2;      /*    IRQ5S     */
                            unsigned char IRQ4S:2;      /*    IRQ4S     */
                            unsigned char IRQ3S:2;      /*    IRQ3S     */
                            unsigned char IRQ2S:2;      /*    IRQ2S     */
                            unsigned char IRQ1S:2;      /*    IRQ1S     */
                            unsigned char IRQ0S:2;      /*    IRQ0S     */
                            }       BIT;                /*              */
                     }          IRQCR;                  /*              */
               union {                                  /* IRQSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ7L:1;      /*    IRQ7L     */
                            unsigned char IRQ6L:1;      /*    IRQ6L     */
                            unsigned char IRQ5L:1;      /*    IRQ5L     */
                            unsigned char IRQ4L:1;      /*    IRQ4L     */
                            unsigned char IRQ3L:1;      /*    IRQ3L     */
                            unsigned char IRQ2L:1;      /*    IRQ2L     */
                            unsigned char IRQ1L:1;      /*    IRQ1L     */
                            unsigned char IRQ0L:1;      /*    IRQ0L     */
                            unsigned char IRQ7F:1;      /*    IRQ7F     */
                            unsigned char IRQ6F:1;      /*    IRQ6F     */
                            unsigned char IRQ5F:1;      /*    IRQ5F     */
                            unsigned char IRQ4F:1;      /*    IRQ4F     */
                            unsigned char IRQ3F:1;      /*    IRQ3F     */
                            unsigned char IRQ2F:1;      /*    IRQ2F     */
                            unsigned char IRQ1F:1;      /*    IRQ1F     */
                            unsigned char IRQ0F:1;      /*    IRQ0F     */
                            }       BIT;                /*              */
                     }          IRQSR;                  /*              */
               union {                                  /* IPRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char _IRQ0:4;      /*   IRQ0       */
                            unsigned char _IRQ1:4;      /*   IRQ1       */
                            unsigned char _IRQ2:4;      /*   IRQ2       */
                            unsigned char _IRQ3:4;      /*   IRQ3       */
                            }       BIT;                /*              */
                     }          IPRA;                   /*              */
               union {                                  /* IPRB         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char _IRQ4:4;      /*   IRQ4       */
                            unsigned char _IRQ5:4;      /*   IRQ5       */
                            unsigned char _IRQ6:4;      /*   IRQ6       */
                            unsigned char _IRQ7:4;      /*   IRQ7       */
                            }       BIT;                /*              */
                     }          IPRB;                   /*              */
               char             wk1[118];               /*              */
               union {                                  /* IPRC         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _DMAC0:4;    /*   DMAC0      */
                            unsigned short _DMAC1:4;    /*   DMAC1      */
                            unsigned short _DMAC2:4;    /*   DMAC2      */
                            unsigned short _DMAC3:4;    /*   DMAC3      */
                            }       BIT;                /*              */
                     }          IPRC;                   /*              */
               union {                                  /* IPRD         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU20G:4;   /*    MTU20 TGI */
                            unsigned short _MTU20C:4;   /*    MTU20 TCI */
                            unsigned short _MTU21G:4;   /*    MTU21 TGI */
                            unsigned short _MTU21C:4;   /*    MTU21 TCI */
                            }       BIT;                /*              */
                     }          IPRD;                   /*              */
               union {                                  /* IPRE         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU22G:4;   /*    MTU22 TGI */
                            unsigned short _MTU22C:4;   /*    MTU22 TCI */
                            unsigned short _MTU23G:4;   /*    MTU23 TGI */
                            unsigned short _MTU23C:4;   /*    MTU23 TCI */
                            }       BIT;                /*              */
                     }          IPRE;                   /*              */
               union {                                  /* IPRF         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU24G:4;   /*    MTU24 TGI */
                            unsigned short _MTU24C:4;   /*    MTU24 TCI */
                            unsigned short _MTU25 :4;   /*    MTU25     */
                            unsigned short _POE   :4;   /*    POE MTU2  */
                            }       BIT;                /*              */
                     }          IPRF;                   /*              */
               char             wk2[2];                 /*              */
               union {                                  /* IPRH         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short         :4;  /*              */
                            unsigned short _IIC2   :4;  /*    IIC2      */
                            unsigned short _MTU2S3G:4;  /*    MTU2S3 TGI*/
                            unsigned short _MTU2S3C:4;  /*    MTU2S3 TCI*/
                            }       BIT;                /*              */
                     }          IPRH;                   /*              */
               union {                                  /* IPRI         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU2S4G:4;  /*    MTU2S4 TGI*/
                            unsigned short _MTU2S4C:4;  /*    MTU2S4 TCI*/
                            unsigned short _MTU2S5 :4;  /*    MTU2S5    */
                            unsigned short _POE    :4;  /*    POE MTU2S */
                            }       BIT;                /*              */
                     }          IPRI;                   /*              */
               union {                                  /* IPRJ         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _CMT0:4;     /*    CMT0      */
                            unsigned short _CMT1:4;     /*    CMT1      */
                            unsigned short _BSC :4;     /*    BSC       */
                            unsigned short _WDT :4;     /*    WDT       */
                            }       BIT;                /*              */
                     }          IPRJ;                   /*              */
               union {                                  /* IPRK         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _AD01:4;     /*    A/D0,A/D1 */
                            unsigned short _AD2 :4;     /*    A/D2      */
                            }       BIT;                /*              */
                     }          IPRK;                   /*              */
               union {                                  /* IPRL         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _SCI0:4;     /*    SCI0      */
                            unsigned short _SCI1:4;     /*    SCI1      */
                            unsigned short _SCI2:4;     /*    SCI2      */
                            unsigned short _SCIF:4;     /*    SCIF      */
                            }       BIT;                /*              */
                     }          IPRL;                   /*              */
               union {                                  /* IPRM         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _SSU :4;     /*    SSU       */
                            unsigned short _IIC2:4;     /*    IIC2      */
                            }       BIT;                /*              */
                     }          IPRM;                   /*              */
};                                                      /*              */
struct st_dmac {                                        /* struct DMAC  */
               union {                                  /* DMAOR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :2;       /*              */
                            unsigned char CMS :2;       /*    CMS       */
                            unsigned char     :2;       /*              */
                            unsigned char PR  :2;       /*    PR        */
                            unsigned char     :5;       /*              */
                            unsigned char AE  :1;       /*    AE        */
                            unsigned char NMIF:1;       /*    NMIF      */
                            unsigned char DME :1;       /*    DME       */
                            }       BIT;                /*              */
                     }          DMAOR;                  /*              */
};                                                      /*              */
struct st_dmac0 {                                       /* struct DMAC0 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Word */
                             unsigned short L;          /*    Low  Word */
                             }     WORD;                /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char   :8;        /*              */
                             unsigned char DO:1;        /*    DO        */
                             unsigned char TL:1;        /*    TL        */
                             unsigned char   :4;        /*              */
                             unsigned char AM:1;        /*    AM        */
                             unsigned char AL:1;        /*    AL        */
                             unsigned char DM:2;        /*    DM        */
                             unsigned char SM:2;        /*    SM        */
                             unsigned char RS:4;        /*    RS        */
                             unsigned char DL:1;        /*    DL        */
                             unsigned char DS:1;        /*    DS        */
                             unsigned char TB:1;        /*    TB        */
                             unsigned char TS:2;        /*    TS        */
                             unsigned char IE:1;        /*    IE        */
                             unsigned char TE:1;        /*    TE        */
                             unsigned char DE:1;        /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
};                                                      /*              */
struct st_bsc {                                         /* struct BSC   */
              union {                                   /* CMNCR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int       :24;      /*              */
                           unsigned int DMAIW : 2;      /*    DMAIW     */
                           unsigned int DMAIWA: 1;      /*    DMAIWA    */
                           unsigned int       : 3;      /*              */
                           unsigned int HIZMEM: 1;      /*    HIZMEM    */
                           unsigned int HIZCNT: 1;      /*    HIZCNT    */
                           }     BIT;                   /*              */
                    }           CMNCR;                  /*              */
              union {                                   /* CS0BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS0BCR;                 /*              */
              union {                                   /* CS1BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS1BCR;                 /*              */
              union {                                   /* CS2BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS2BCR;                 /*              */
              union {                                   /* CS3BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS3BCR;                 /*              */
              union {                                   /* CS4BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS4BCR;                 /*              */
              union {                                   /* CS5BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS5BCR;                 /*              */
              union {                                   /* CS6BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS6BCR;                 /*              */
              union {                                   /* CS7BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS7BCR;                 /*              */
              union {                                   /* CS8BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :2;        /*              */
                           unsigned int IWW  :2;        /*    IWW       */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWD:2;        /*    IWRWD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRWS:2;        /*    IWRWS     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRD:2;        /*    IWRRD     */
                           unsigned int      :1;        /*              */
                           unsigned int IWRRS:2;        /*    IWRRS     */
                           unsigned int      :1;        /*              */
                           unsigned int TYPE :3;        /*    TYPE      */
                           unsigned int      :1;        /*              */
                           unsigned int BSZ  :2;        /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS8BCR;                 /*              */
              unsigned int      CS0WCR;                 /* CS0WCR       */
              unsigned int      CS1WCR;                 /* CS1WCR       */
              unsigned int      CS2WCR;                 /* CS2WCR       */
              unsigned int      CS3WCR;                 /* CS3WCR       */
              unsigned int      CS4WCR;                 /* CS4WCR       */
              unsigned int      CS5WCR;                 /* CS5WCR       */
              unsigned int      CS6WCR;                 /* CS6WCR       */
              unsigned int      CS7WCR;                 /* CS7WCR       */
              unsigned int      CS8WCR;                 /* CS8WCR       */
              union {                                   /* SDCR         */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit Access  */
                           unsigned int      :11;       /*              */
                           unsigned int A2ROW: 2;       /*    A2ROW     */
                           unsigned int      : 1;       /*              */
                           unsigned int A2COL: 2;       /*    A2COL     */
                           unsigned int      : 4;       /*              */
                           unsigned int RFSH : 1;       /*    RFSH      */
                           unsigned int RMODE: 1;       /*    RMODE     */
                           unsigned int      : 1;       /*              */
                           unsigned int BACTV: 1;       /*    BACTV     */
                           unsigned int      : 3;       /*              */
                           unsigned int A3ROW: 2;       /*    A3ROW     */
                           unsigned int      : 1;       /*              */
                           unsigned int A3COL: 2;       /*    A3COL     */
                           }     BIT;                   /*              */
                    }           SDCR;                   /*              */
              union {                                   /* RTCSR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit Access  */
                           unsigned int     :24;        /*              */
                           unsigned int CMF : 1;        /*    CMF       */
                           unsigned int CMIE: 1;        /*    CMIE      */
                           unsigned int CKS : 3;        /*    CKS       */
                           unsigned int RRC : 3;        /*    RRC       */
                           }     BIT;                   /*              */
                    }           RTCSR;                  /*              */
              unsigned int      RTCNT;                  /* RTCNT        */
              unsigned int      RTCOR;                  /* RTCOR        */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              void             *BARA;                   /* BARA         */
              unsigned int      BAMRA;                  /* BAMRA        */
              union {                                   /* BBRA         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short    :5;        /*              */
                           unsigned short CPA:3;        /*    CPA       */
                           unsigned short CDA:2;        /*    CDA       */
                           unsigned short IDA:2;        /*    IDA       */
                           unsigned short RWA:2;        /*    RWA       */
                           unsigned short SZA:2;        /*    SZA       */
                           }       BIT;                 /*              */
                    }           BBRA;                   /*              */
              char              wk1[6];                 /*              */
              unsigned int      BDRA;                   /* BDRA         */
              unsigned int      BDMRA;                  /* BDMRA        */
              char              wk2[8];                 /*              */
              void             *BARB;                   /* BARB         */
              unsigned int      BAMRB;                  /* BAMRB        */
              union {                                   /* BBRB         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short    :5;        /*              */
                           unsigned short CPB:3;        /*    CPB       */
                           unsigned short CDB:2;        /*    CDB       */
                           unsigned short IDB:2;        /*    IDB       */
                           unsigned short RWB:2;        /*    RWB       */
                           unsigned short SZB:2;        /*    SZB       */
                           }       BIT;                 /*              */
                    }           BBRB;                   /*              */
              char              wk3[6];                 /*              */
              unsigned int      BDRB;                   /* BDRB         */
              unsigned int      BDMRB;                  /* BDMRB        */
              char              wk4[136];               /*              */
              union {                                   /* BRCR         */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int       :10;      /*              */
                           unsigned int UTRGW : 2;      /*    UTRGW     */
                           unsigned int UBIDB : 1;      /*    UBIDB     */
                           unsigned int       : 1;      /*              */
                           unsigned int UBIDA : 1;      /*    UBIDA     */
                           unsigned int       : 1;      /*              */
                           unsigned int SCMFCA: 1;      /*    SCMFCA    */
                           unsigned int SCMFCB: 1;      /*    SCMFCB    */
                           unsigned int SCMFDA: 1;      /*    SCMFDA    */
                           unsigned int SCMFDB: 1;      /*    SCMFDB    */
                           unsigned int PCTE  : 1;      /*    PCTE      */
                           unsigned int PCBA  : 1;      /*    PCBA      */
                           unsigned int       : 2;      /*              */
                           unsigned int DBEA  : 1;      /*    DBEA      */
                           unsigned int PCBB  : 1;      /*    PCBB      */
                           unsigned int DBEB  : 1;      /*    DBEB      */
                           unsigned int       : 1;      /*              */
                           unsigned int SEQ   : 1;      /*    SEQ       */
                           unsigned int       : 2;      /*              */
                           unsigned int ETBE  : 1;      /*    ETBE      */
                           }     BIT;                   /*              */
                    }           BRCR;                   /*              */
              char              wk5[12];                /*              */
              void             *BRSR;                   /* BRSR         */
              void             *BRDR;                   /* BRDR         */
              char              wk6[4];                 /*              */
              unsigned short    BETR;                   /* BETR         */
};                                                      /*              */
#define SCI0   (*(volatile struct st_sci   *)0xFFFFC000)/* SCI0  Address*/
#define SCI1   (*(volatile struct st_sci   *)0xFFFFC080)/* SCI1  Address*/
#define SCI2   (*(volatile struct st_sci   *)0xFFFFC100)/* SCI2  Address*/
#define SCIF   (*(volatile struct st_scif  *)0xFFFFC180)/* SCIF  Address*/
#define MTU2   (*(volatile struct st_mtu2  *)0xFFFFC20A)/* MTU2  Address*/
#define MTU20  (*(volatile struct st_mtu20 *)0xFFFFC300)/* MTU20 Address*/
#define MTU21  (*(volatile struct st_mtu21 *)0xFFFFC380)/* MTU21 Address*/
#define MTU22  (*(volatile struct st_mtu22 *)0xFFFFC400)/* MTU22 Address*/
#define MTU23  (*(volatile struct st_mtu23 *)0xFFFFC200)/* MTU23 Address*/
#define MTU24  (*(volatile struct st_mtu24 *)0xFFFFC200)/* MTU24 Address*/
#define MTU25  (*(volatile struct st_mtu25 *)0xFFFFC480)/* MTU25 Address*/
#define MTU2S  (*(volatile struct st_mtu2s *)0xFFFFC60A)/* MTU2S Address*/
#define MTU2S3 (*(volatile struct st_mtu23 *)0xFFFFC600)/* MTU2S3Address*/
#define MTU2S4 (*(volatile struct st_mtu24 *)0xFFFFC600)/* MTU2S4Address*/
#define MTU2S5 (*(volatile struct st_mtu25 *)0xFFFFC880)/* MTU2S5Address*/
#define AD0    (*(volatile struct st_ad0   *)0xFFFFC900)/* A/D0  Address*/
#define AD1    (*(volatile struct st_ad1   *)0xFFFFC980)/* A/D1  Address*/
#define AD2    (*(volatile struct st_ad2   *)0xFFFFCA00)/* A/D2  Address*/
#define FLASH  (*(volatile struct st_flash *)0xFFFFCC00)/* FLASH Address*/
#define DTC    (*(volatile struct st_dtc   *)0xFFFFCC80)/* DTC   Address*/
#define IIC2   (*(volatile struct st_iic2  *)0xFFFFCD80)/* IIC2  Address*/
#define SSU    (*(volatile struct st_ssu   *)0xFFFFCD00)/* SSU   Address*/
#define CMT    (*(volatile struct st_cmt   *)0xFFFFCE00)/* CMT   Address*/
#define CMT0   (*(volatile struct st_cmt0  *)0xFFFFCE02)/* CMT0  Address*/
#define CMT1   (*(volatile struct st_cmt0  *)0xFFFFCE08)/* CMT1  Address*/
#define POE    (*(volatile struct st_poe   *)0xFFFFD000)/* POE   Address*/
#define PA     (*(volatile struct st_pa    *)0xFFFFD100)/* PA    Address*/
#define PB     (*(volatile struct st_pb    *)0xFFFFD182)/* PB    Address*/
#define PC     (*(volatile struct st_pc    *)0xFFFFD200)/* PC    Address*/
#define PD     (*(volatile struct st_pd    *)0xFFFFD280)/* PD    Address*/
#define PE     (*(volatile struct st_pe    *)0xFFFFD300)/* PE    Address*/
#define PF     (*(volatile struct st_pf    *)0xFFFFD382)/* PF    Address*/
#define PFC    (*(volatile struct st_pfc   *)0xFFFFD104)/* PFC   Address*/
#define CPG    (*(volatile struct st_cpg   *)0xFFFFE800)/* CPG   Address*/
#define STB    (*(volatile struct st_stb   *)0xFFFFE802)/* STB   Address*/
#define RAMCR  (*(volatile union  un_ramcr *)0xFFFFE880)/* RAMCR Address*/
#define WDT    (*(volatile union  un_wdt   *)0xFFFFE810)/* WDT   Address*/
#define INTC   (*(volatile struct st_intc  *)0xFFFFE900)/* INTC  Address*/
#define DMAC   (*(volatile struct st_dmac  *)0xFFFFEB60)/* DMAC  Address*/
#define DMAC0  (*(volatile struct st_dmac0 *)0xFFFFEB20)/* DMAC0 Address*/
#define DMAC1  (*(volatile struct st_dmac0 *)0xFFFFEB30)/* DMAC1 Address*/
#define DMAC2  (*(volatile struct st_dmac0 *)0xFFFFEB40)/* DMAC2 Address*/
#define DMAC3  (*(volatile struct st_dmac0 *)0xFFFFEB50)/* DMAC3 Address*/
#define BSC    (*(volatile struct st_bsc   *)0xFFFFF000)/* BSC   Address*/
#define UBC    (*(volatile struct st_ubc   *)0xFFFFF300)/* UBC   Address*/
#endif
