/***********************************************************************************
FILE NAME  	: HMONSerialStruct.h

DESCRIPTION	: Structures for the HMON Serial Library
			  Do not customise this file.

Copyright   : 2006 Renesas Technology Europe Ltd.
			  2006 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
06.12.2006 RTE-NPS First Release.
***********************************************************************************/

#ifndef _HMONSERIALSTRUCT_H_INCLUDED_
#define _HMONSERIALSTRUCT_H_INCLUDED_

#ifndef BYTE
#define BYTE unsigned char
#define WORD unsigned short
#endif


typedef struct st_SciConfig 
{ 
    BYTE    byBRRValue;         /* BRR register value, as obtained from macro  */
    BYTE    byStopBits;         /* Stop bits enumerated const - see below      */
    BYTE    byParity;           /* Parity enumerated const - see below         */
    BYTE    byCharSize;         /* Character size enumerated const - see below */
    BYTE    byBrgClkDivider;    /* Baud Rate Generator clk divider - see below */
    BYTE    byIntPriority;      /* Interrupt priority level - see below        */
} ST_SCI_CONFIG;

/*****************************************************************************
 SCI Module Registers
*****************************************************************************/
typedef struct stSciPort
{   
    volatile BYTE*  pbySMR;           /* Serial mode register        */
    volatile BYTE*  pbyBRR;           /* Bit rate register           */
    volatile BYTE*  pbySCR;           /* Serial control register     */
    volatile BYTE*  pbyTDR;           /* Transmit data register      */
    volatile BYTE*  pbySSR;           /* Serial status register      */
    volatile BYTE*  pbyRDR;           /* Receive data register       */
    void (*const pfnSciIpr)(BYTE a_InterruptLevel);
} ST_SCI_PORT;

#else
#ifdef _WINDOWS
#pragma message ( "Warning : User : Header files nested - HMonSerialStruct.h" )
#endif
#endif /* _HMONSERIALSTRUCT_H_INCLUDED_ */
